= nng_http_req_get_uri(3http)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_http_req_get_uri - return HTTP request URI

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>
#include <nng/supplemental/http/http.h>

const char *nng_http_req_get_uri(nng_http_req *req);
----

== DESCRIPTION

The `nng_http_req_get_uri()` returns the URI (path) associated with the HTTP
request _req_.
The value returned includes the path, as well as any query information or
fragment.  The value will look like a file system path
with those optional components appended, such as `/api/get_info.cgi?name=garrett`.

== RETURN VALUES

Request URI as a string.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_http_req_alloc.3http.adoc[nng_http_req_alloc(3http)],
xref:nng_http_req_set_uri.3http.adoc[nng_http_req_set_uri(3http)],
xref:nng.7.adoc[nng(7)]
